Index: trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java
===================================================================
--- trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java	(revision 11)
+++ trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java	(revision 12)
@@ -1,10 +1,11 @@
-// $ANTLR 3.4 /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g 2015-08-31 13:32:37
+// $ANTLR 3.4 /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g 2016-09-13 11:30:03
 
  /*
     Ulysses OO-Action System Parser
 
     Copyright Graz University of Technology 2009
-    Copyright AIT Austrian Institute of Technology 2013
+    Copyright AIT Austrian Institute of Technology 2013, 2016
+    Version 1.09
  */
  package org.momut.ooas.parser;
 
@@ -162,23 +163,23 @@
     @Override
 	public String[] getTokenNames() { return ooaParser.tokenNames; }
     @Override
-	public String getGrammarFileName() { return "/home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g"; }
+	public String getGrammarFileName() { return "/home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g"; }
 
 
 
     // $ANTLR start "ooActionSystems"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:154:1: ooActionSystems : ( T_CONSTS namedConstList )? T_TYPES namedTypeList T_SYSTEM comp= asTypeComposition[null] ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:158:1: ooActionSystems : ( T_CONSTS namedConstList )? T_TYPES namedTypeList T_SYSTEM comp= asTypeComposition[null] ;
     public final void ooActionSystems() {
         IdentifierList comp =null;
 
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:155:2: ( ( T_CONSTS namedConstList )? T_TYPES namedTypeList T_SYSTEM comp= asTypeComposition[null] )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:155:4: ( T_CONSTS namedConstList )? T_TYPES namedTypeList T_SYSTEM comp= asTypeComposition[null]
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:159:2: ( ( T_CONSTS namedConstList )? T_TYPES namedTypeList T_SYSTEM comp= asTypeComposition[null] )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:159:4: ( T_CONSTS namedConstList )? T_TYPES namedTypeList T_SYSTEM comp= asTypeComposition[null]
             {
             initializeTopLevelParserState();
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:157:11: ( T_CONSTS namedConstList )?
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:161:11: ( T_CONSTS namedConstList )?
             int alt1=2;
             final int LA1_0 = input.LA(1);
 
@@ -187,7 +188,7 @@
             }
             switch (alt1) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:157:12: T_CONSTS namedConstList
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:161:12: T_CONSTS namedConstList
                     {
                     match(input,T_CONSTS,FOLLOW_T_CONSTS_in_ooActionSystems74);
 
@@ -239,11 +240,11 @@
 
 
     // $ANTLR start "namedConstList"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:172:1: namedConstList : namedConst ( T_SEMICOLON namedConst )* ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:176:1: namedConstList : namedConst ( T_SEMICOLON namedConst )* ;
     public final void namedConstList() throws RecognitionException {
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:173:2: ( namedConst ( T_SEMICOLON namedConst )* )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:173:4: namedConst ( T_SEMICOLON namedConst )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:177:2: ( namedConst ( T_SEMICOLON namedConst )* )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:177:4: namedConst ( T_SEMICOLON namedConst )*
             {
             pushFollow(FOLLOW_namedConst_in_namedConstList129);
             namedConst();
@@ -251,7 +252,7 @@
             state._fsp--;
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:173:15: ( T_SEMICOLON namedConst )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:177:15: ( T_SEMICOLON namedConst )*
             loop2:
             do {
                 int alt2=2;
@@ -264,7 +265,7 @@
 
                 switch (alt2) {
             	case 1 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:173:16: T_SEMICOLON namedConst
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:177:16: T_SEMICOLON namedConst
             	    {
             	    match(input,T_SEMICOLON,FOLLOW_T_SEMICOLON_in_namedConstList132);
 
@@ -301,7 +302,7 @@
 
 
     // $ANTLR start "namedConst"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:176:1: namedConst : aName= T_IDENTIFIER T_EQUAL anExpr= expression ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:180:1: namedConst : aName= T_IDENTIFIER T_EQUAL anExpr= expression ;
     public final void namedConst() throws RecognitionException {
         Token aName=null;
         Expression anExpr =null;
@@ -308,8 +309,8 @@
 
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:177:2: (aName= T_IDENTIFIER T_EQUAL anExpr= expression )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:177:4: aName= T_IDENTIFIER T_EQUAL anExpr= expression
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:181:2: (aName= T_IDENTIFIER T_EQUAL anExpr= expression )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:181:4: aName= T_IDENTIFIER T_EQUAL anExpr= expression
             {
             aName=(Token)match(input,T_IDENTIFIER,FOLLOW_T_IDENTIFIER_in_namedConst150);
 
@@ -341,11 +342,11 @@
 
 
     // $ANTLR start "namedTypeList"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:187:1: namedTypeList : namedType ( T_SEMICOLON namedType )* ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:191:1: namedTypeList : namedType ( T_SEMICOLON namedType )* ;
     public final void namedTypeList() throws RecognitionException {
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:188:2: ( namedType ( T_SEMICOLON namedType )* )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:188:4: namedType ( T_SEMICOLON namedType )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:192:2: ( namedType ( T_SEMICOLON namedType )* )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:192:4: namedType ( T_SEMICOLON namedType )*
             {
             pushFollow(FOLLOW_namedType_in_namedTypeList180);
             namedType();
@@ -353,7 +354,7 @@
             state._fsp--;
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:188:14: ( T_SEMICOLON namedType )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:192:14: ( T_SEMICOLON namedType )*
             loop3:
             do {
                 int alt3=2;
@@ -366,7 +367,7 @@
 
                 switch (alt3) {
             	case 1 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:188:15: T_SEMICOLON namedType
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:192:15: T_SEMICOLON namedType
             	    {
             	    match(input,T_SEMICOLON,FOLLOW_T_SEMICOLON_in_namedTypeList183);
 
@@ -403,7 +404,7 @@
 
 
     // $ANTLR start "namedType"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:191:1: namedType : aName= T_IDENTIFIER T_EQUAL (aType= complexType |anOoaType= ooActionSystem ) ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:195:1: namedType : aName= T_IDENTIFIER T_EQUAL (aType= complexType |anOoaType= ooActionSystem ) ;
     public final void namedType() throws RecognitionException {
         Token aName=null;
         Type aType =null;
@@ -412,14 +413,14 @@
 
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:192:2: (aName= T_IDENTIFIER T_EQUAL (aType= complexType |anOoaType= ooActionSystem ) )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:192:4: aName= T_IDENTIFIER T_EQUAL (aType= complexType |anOoaType= ooActionSystem )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:196:2: (aName= T_IDENTIFIER T_EQUAL (aType= complexType |anOoaType= ooActionSystem ) )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:196:4: aName= T_IDENTIFIER T_EQUAL (aType= complexType |anOoaType= ooActionSystem )
             {
             aName=(Token)match(input,T_IDENTIFIER,FOLLOW_T_IDENTIFIER_in_namedType201);
 
             match(input,T_EQUAL,FOLLOW_T_EQUAL_in_namedType206);
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:194:3: (aType= complexType |anOoaType= ooActionSystem )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:198:3: (aType= complexType |anOoaType= ooActionSystem )
             int alt4=2;
             final int LA4_0 = input.LA(1);
 
@@ -438,7 +439,7 @@
             }
             switch (alt4) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:195:4: aType= complexType
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:199:4: aType= complexType
                     {
                     pushFollow(FOLLOW_complexType_in_namedType218);
                     aType=complexType();
@@ -451,7 +452,7 @@
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:196:5: anOoaType= ooActionSystem
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:200:5: anOoaType= ooActionSystem
                     {
                     pushFollow(FOLLOW_ooActionSystem_in_namedType230);
                     anOoaType=ooActionSystem();
@@ -485,14 +486,14 @@
 
 
     // $ANTLR start "asTypeComposition"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:202:1: asTypeComposition[IdentifierList top] returns [IdentifierList prioList] : asTypeCompositionParallel[prioList] ( T_PRIO asTypeCompositionParallel[prioList] )* ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:206:1: asTypeComposition[IdentifierList top] returns [IdentifierList prioList] : asTypeCompositionParallel[prioList] ( T_PRIO asTypeCompositionParallel[prioList] )* ;
     public final IdentifierList asTypeComposition(IdentifierList top) throws RecognitionException {
         IdentifierList prioList = null;
 
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:204:2: ( asTypeCompositionParallel[prioList] ( T_PRIO asTypeCompositionParallel[prioList] )* )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:204:6: asTypeCompositionParallel[prioList] ( T_PRIO asTypeCompositionParallel[prioList] )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:208:2: ( asTypeCompositionParallel[prioList] ( T_PRIO asTypeCompositionParallel[prioList] )* )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:208:6: asTypeCompositionParallel[prioList] ( T_PRIO asTypeCompositionParallel[prioList] )*
             {
             prioList = new PrioIdentifierList(top);
 
@@ -502,7 +503,7 @@
             state._fsp--;
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:205:40: ( T_PRIO asTypeCompositionParallel[prioList] )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:209:40: ( T_PRIO asTypeCompositionParallel[prioList] )*
             loop5:
             do {
                 int alt5=2;
@@ -515,7 +516,7 @@
 
                 switch (alt5) {
             	case 1 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:205:41: T_PRIO asTypeCompositionParallel[prioList]
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:209:41: T_PRIO asTypeCompositionParallel[prioList]
             	    {
             	    match(input,T_PRIO,FOLLOW_T_PRIO_in_asTypeComposition271);
 
@@ -552,11 +553,11 @@
 
 
     // $ANTLR start "asTypeCompositionParallel"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:208:1: asTypeCompositionParallel[IdentifierList top] : asTypeCompositionSequential[parList] ( T_NONDET asTypeCompositionSequential[parList] )* ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:212:1: asTypeCompositionParallel[IdentifierList top] : asTypeCompositionSequential[parList] ( T_NONDET asTypeCompositionSequential[parList] )* ;
     public final void asTypeCompositionParallel(IdentifierList top) throws RecognitionException {
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:209:2: ( asTypeCompositionSequential[parList] ( T_NONDET asTypeCompositionSequential[parList] )* )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:209:6: asTypeCompositionSequential[parList] ( T_NONDET asTypeCompositionSequential[parList] )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:213:2: ( asTypeCompositionSequential[parList] ( T_NONDET asTypeCompositionSequential[parList] )* )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:213:6: asTypeCompositionSequential[parList] ( T_NONDET asTypeCompositionSequential[parList] )*
             {
             final IdentifierList parList = new NondetIdentifierList(top);
 
@@ -566,7 +567,7 @@
             state._fsp--;
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:210:40: ( T_NONDET asTypeCompositionSequential[parList] )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:214:40: ( T_NONDET asTypeCompositionSequential[parList] )*
             loop6:
             do {
                 int alt6=2;
@@ -579,7 +580,7 @@
 
                 switch (alt6) {
             	case 1 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:210:41: T_NONDET asTypeCompositionSequential[parList]
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:214:41: T_NONDET asTypeCompositionSequential[parList]
             	    {
             	    match(input,T_NONDET,FOLLOW_T_NONDET_in_asTypeCompositionParallel300);
 
@@ -616,11 +617,11 @@
 
 
     // $ANTLR start "asTypeCompositionSequential"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:213:1: asTypeCompositionSequential[IdentifierList top] : asTypeCompositionBlockParen[seqList] ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:217:1: asTypeCompositionSequential[IdentifierList top] : asTypeCompositionBlockParen[seqList] ;
     public final void asTypeCompositionSequential(IdentifierList top) throws RecognitionException {
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:214:2: ( asTypeCompositionBlockParen[seqList] )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:214:6: asTypeCompositionBlockParen[seqList]
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:218:2: ( asTypeCompositionBlockParen[seqList] )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:218:6: asTypeCompositionBlockParen[seqList]
             {
             final IdentifierList seqList = new SeqIdentifierList(top);
 
@@ -648,12 +649,12 @@
 
 
     // $ANTLR start "asTypeCompositionBlockParen"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:218:1: asTypeCompositionBlockParen[IdentifierList top] : ( T_LPAREN asTypeComposition[top] T_RPAREN |aName= T_IDENTIFIER );
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:222:1: asTypeCompositionBlockParen[IdentifierList top] : ( T_LPAREN asTypeComposition[top] T_RPAREN |aName= T_IDENTIFIER );
     public final void asTypeCompositionBlockParen(IdentifierList top) throws RecognitionException {
         Token aName=null;
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:219:2: ( T_LPAREN asTypeComposition[top] T_RPAREN |aName= T_IDENTIFIER )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:223:2: ( T_LPAREN asTypeComposition[top] T_RPAREN |aName= T_IDENTIFIER )
             int alt7=2;
             final int LA7_0 = input.LA(1);
 
@@ -672,7 +673,7 @@
             }
             switch (alt7) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:219:4: T_LPAREN asTypeComposition[top] T_RPAREN
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:223:4: T_LPAREN asTypeComposition[top] T_RPAREN
                     {
                     match(input,T_LPAREN,FOLLOW_T_LPAREN_in_asTypeCompositionBlockParen339);
 
@@ -687,7 +688,7 @@
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:220:4: aName= T_IDENTIFIER
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:224:4: aName= T_IDENTIFIER
                     {
                     aName=(Token)match(input,T_IDENTIFIER,FOLLOW_T_IDENTIFIER_in_asTypeCompositionBlockParen351);
 
@@ -713,7 +714,7 @@
 
 
     // $ANTLR start "complexType"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:228:1: complexType returns [Type aTypeSymbol] : ( T_LIST T_LSQPAREN numOfElements= ( T_INTNUMBER | T_IDENTIFIER ) T_RSQPAREN T_OF innertype= complexType | T_LSQPAREN alistelem= T_IDENTIFIER ( T_COMMA otherlistelem= T_IDENTIFIER )* T_RSQPAREN | T_MAP ( T_LSQPAREN numOfElements= ( T_INTNUMBER | T_IDENTIFIER ) T_RSQPAREN )? mapfromtype= simpleType T_TO maptotype= complexType | T_LPAREN aType= complexType ( T_COMMA anotherType= complexType )* T_RPAREN |r= simpleType );
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:232:1: complexType returns [Type aTypeSymbol] : ( T_LIST T_LSQPAREN numOfElements= ( T_INTNUMBER | T_IDENTIFIER ) T_RSQPAREN T_OF innertype= complexType | T_LSQPAREN alistelem= T_IDENTIFIER ( T_COMMA otherlistelem= T_IDENTIFIER )* T_RSQPAREN | T_MAP ( T_LSQPAREN numOfElements= ( T_INTNUMBER | T_IDENTIFIER ) T_RSQPAREN )? mapfromtype= simpleType T_TO maptotype= complexType | T_LPAREN aType= complexType ( T_COMMA anotherType= complexType )* T_RPAREN |r= simpleType );
     public final Type complexType() throws RecognitionException {
         Type aTypeSymbol = null;
 
@@ -738,7 +739,7 @@
         		aTypeSymbol = null;
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:233:2: ( T_LIST T_LSQPAREN numOfElements= ( T_INTNUMBER | T_IDENTIFIER ) T_RSQPAREN T_OF innertype= complexType | T_LSQPAREN alistelem= T_IDENTIFIER ( T_COMMA otherlistelem= T_IDENTIFIER )* T_RSQPAREN | T_MAP ( T_LSQPAREN numOfElements= ( T_INTNUMBER | T_IDENTIFIER ) T_RSQPAREN )? mapfromtype= simpleType T_TO maptotype= complexType | T_LPAREN aType= complexType ( T_COMMA anotherType= complexType )* T_RPAREN |r= simpleType )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:237:2: ( T_LIST T_LSQPAREN numOfElements= ( T_INTNUMBER | T_IDENTIFIER ) T_RSQPAREN T_OF innertype= complexType | T_LSQPAREN alistelem= T_IDENTIFIER ( T_COMMA otherlistelem= T_IDENTIFIER )* T_RSQPAREN | T_MAP ( T_LSQPAREN numOfElements= ( T_INTNUMBER | T_IDENTIFIER ) T_RSQPAREN )? mapfromtype= simpleType T_TO maptotype= complexType | T_LPAREN aType= complexType ( T_COMMA anotherType= complexType )* T_RPAREN |r= simpleType )
             int alt11=5;
             switch ( input.LA(1) ) {
             case T_LIST:
@@ -781,7 +782,7 @@
 
             switch (alt11) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:233:4: T_LIST T_LSQPAREN numOfElements= ( T_INTNUMBER | T_IDENTIFIER ) T_RSQPAREN T_OF innertype= complexType
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:237:4: T_LIST T_LSQPAREN numOfElements= ( T_INTNUMBER | T_IDENTIFIER ) T_RSQPAREN T_OF innertype= complexType
                     {
                     match(input,T_LIST,FOLLOW_T_LIST_in_complexType382);
 
@@ -814,7 +815,7 @@
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:237:4: T_LSQPAREN alistelem= T_IDENTIFIER ( T_COMMA otherlistelem= T_IDENTIFIER )* T_RSQPAREN
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:241:4: T_LSQPAREN alistelem= T_IDENTIFIER ( T_COMMA otherlistelem= T_IDENTIFIER )* T_RSQPAREN
                     {
                     match(input,T_LSQPAREN,FOLLOW_T_LSQPAREN_in_complexType417);
 
@@ -822,7 +823,7 @@
 
                     aTypeSymbol = createListEnumType(alistelem);
 
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:238:4: ( T_COMMA otherlistelem= T_IDENTIFIER )*
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:242:4: ( T_COMMA otherlistelem= T_IDENTIFIER )*
                     loop8:
                     do {
                         int alt8=2;
@@ -835,7 +836,7 @@
 
                         switch (alt8) {
                     	case 1 :
-                    	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:238:5: T_COMMA otherlistelem= T_IDENTIFIER
+                    	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:242:5: T_COMMA otherlistelem= T_IDENTIFIER
                     	    {
                     	    match(input,T_COMMA,FOLLOW_T_COMMA_in_complexType430);
 
@@ -857,11 +858,11 @@
                     }
                     break;
                 case 3 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:241:4: T_MAP ( T_LSQPAREN numOfElements= ( T_INTNUMBER | T_IDENTIFIER ) T_RSQPAREN )? mapfromtype= simpleType T_TO maptotype= complexType
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:245:4: T_MAP ( T_LSQPAREN numOfElements= ( T_INTNUMBER | T_IDENTIFIER ) T_RSQPAREN )? mapfromtype= simpleType T_TO maptotype= complexType
                     {
                     match(input,T_MAP,FOLLOW_T_MAP_in_complexType450);
 
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:241:12: ( T_LSQPAREN numOfElements= ( T_INTNUMBER | T_IDENTIFIER ) T_RSQPAREN )?
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:245:12: ( T_LSQPAREN numOfElements= ( T_INTNUMBER | T_IDENTIFIER ) T_RSQPAREN )?
                     int alt9=2;
                     final int LA9_0 = input.LA(1);
 
@@ -870,7 +871,7 @@
                     }
                     switch (alt9) {
                         case 1 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:241:13: T_LSQPAREN numOfElements= ( T_INTNUMBER | T_IDENTIFIER ) T_RSQPAREN
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:245:13: T_LSQPAREN numOfElements= ( T_INTNUMBER | T_IDENTIFIER ) T_RSQPAREN
                             {
                             match(input,T_LSQPAREN,FOLLOW_T_LSQPAREN_in_complexType455);
 
@@ -913,7 +914,7 @@
                     }
                     break;
                 case 4 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:244:5: T_LPAREN aType= complexType ( T_COMMA anotherType= complexType )* T_RPAREN
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:248:5: T_LPAREN aType= complexType ( T_COMMA anotherType= complexType )* T_RPAREN
                     {
                     match(input,T_LPAREN,FOLLOW_T_LPAREN_in_complexType492);
 
@@ -925,7 +926,7 @@
 
                     aTypeSymbol = createTupleType(aType);
 
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:245:4: ( T_COMMA anotherType= complexType )*
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:249:4: ( T_COMMA anotherType= complexType )*
                     loop10:
                     do {
                         int alt10=2;
@@ -938,7 +939,7 @@
 
                         switch (alt10) {
                     	case 1 :
-                    	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:245:5: T_COMMA anotherType= complexType
+                    	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:249:5: T_COMMA anotherType= complexType
                     	    {
                     	    match(input,T_COMMA,FOLLOW_T_COMMA_in_complexType505);
 
@@ -964,7 +965,7 @@
                     }
                     break;
                 case 5 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:248:4: r= simpleType
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:252:4: r= simpleType
                     {
                     pushFollow(FOLLOW_simpleType_in_complexType529);
                     r=simpleType();
@@ -995,7 +996,7 @@
 
 
     // $ANTLR start "simpleType"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:254:1: simpleType returns [Type aTypeSymbol] : ( T_BOOL | T_INT T_LSQPAREN rangeLow= ( T_INTNUMBER | T_INFTY | T_IDENTIFIER ) T_RANGETO rangeHigh= ( T_INTNUMBER | T_INFTY | T_IDENTIFIER ) T_RSQPAREN | T_FLOAT T_LSQPAREN rangeLow= ( T_FLOATNUMBER | T_INFTY | T_IDENTIFIER ) T_RANGETO rangeHigh= ( T_FLOATNUMBER | T_INFTY | T_IDENTIFIER ) T_RSQPAREN | T_CHAR | T_CBRL aRangeValue= T_IDENTIFIER ( T_EQUAL optVal= T_INTNUMBER )? ( T_COMMA otherRangeValue= T_IDENTIFIER ( T_EQUAL otherOptVal= T_INTNUMBER )? )* T_CBRR |aType= T_IDENTIFIER );
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:258:1: simpleType returns [Type aTypeSymbol] : ( T_BOOL | T_INT T_LSQPAREN rangeLow= ( T_INTNUMBER | T_INFTY | T_IDENTIFIER ) T_RANGETO rangeHigh= ( T_INTNUMBER | T_INFTY | T_IDENTIFIER ) T_RSQPAREN | T_FLOAT T_LSQPAREN rangeLow= ( T_FLOATNUMBER | T_INFTY | T_IDENTIFIER ) T_RANGETO rangeHigh= ( T_FLOATNUMBER | T_INFTY | T_IDENTIFIER ) T_RSQPAREN | T_CHAR | T_CBRL aRangeValue= T_IDENTIFIER ( T_EQUAL optVal= T_INTNUMBER )? ( T_COMMA otherRangeValue= T_IDENTIFIER ( T_EQUAL otherOptVal= T_INTNUMBER )? )* T_CBRR |aType= T_IDENTIFIER );
     public final Type simpleType() throws RecognitionException {
         Type aTypeSymbol = null;
 
